package no.ntnu.idatt1002.demo.controller;

import javafx.fxml.FXML;
import javafx.scene.Node;
import javafx.stage.Stage;
import no.ntnu.idatt1002.demo.data.Budget.BudgetItem;
import no.ntnu.idatt1002.demo.data.Budget.GeneralBudget;
import no.ntnu.idatt1002.demo.data.Economics.ExpenseCategory;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.util.ArrayList;
import java.util.List;

public class budgetController {
    @FXML
    private TextField categoryVariable;
    @FXML
    private TextField amountVariable;
    @FXML
    private TextField descriptionVariable;
    private List<BudgetItem> listOfBudgetItems = new ArrayList<>();
    private GeneralBudget general = new GeneralBudget(31, listOfBudgetItems, 200);

    public void addBudget(ActionEvent event){
       int amount = Integer.parseInt(String.valueOf(amountVariable));
       String description = String.valueOf(descriptionVariable);
       ExpenseCategory category = ExpenseCategory.valueOf(String.valueOf(categoryVariable));

       general.addToBudget(amount,description,category);
    }

    public void deleteFromBudget(ActionEvent event){
        ExpenseCategory category = ExpenseCategory.valueOf(String.valueOf(categoryVariable));

        general.deleteItemFromBudget(category);
    }

    public void closeButton(javafx.event.ActionEvent actionEvent) {
        final Node source = (Node) actionEvent.getSource();
        final Stage stage = (Stage) source.getScene().getWindow();
        stage.close();
    }

}
